Create Procedure

Create a new procedure for the agent on a branch.

Path parameters

agent_idstringRequired
Agent ID to get the procedure draft from
branch_idstringRequired
Branch ID to get the procedure draft from

Headers

xi-api-keystringOptional

Request

This endpoint expects a nullable object.
namestringOptional<=200 charactersDefaults to
Procedure name
contentstringOptionalDefaults to
Initial procedure content
typeenumOptionalDefaults to free_form
Procedure type
triggerstring or nullOptional

When the agent should use this procedure. Empty string means this is a sub-procedure that should only start when another procedure references it. If omitted or null, the trigger is derived from the content instead. Also accepts description as an alias.

folder_parent_idstring or nullOptional
Procedure ID of the folder to create this procedure in, or null for root.

Response

Successful Response
procedure_idstring
ID of the created procedure

Errors

422
Unprocessable Entity Error